libstdc++

Public Types | Public Member Functions | List of all members
std::owner_less< weak_ptr< _Tp > > Struct Template Reference
Pointer Abstractions

Inherits std::_Sp_owner_less< _Tp, _Tp1 >.

## Public Types

typedef _Tp | first_argument_type
typedef bool | result_type
typedef _Tp | second_argument_type

## Public Member Functions

bool | operator() (const _Tp &__lhs, const _Tp &__rhs) const
bool | operator() (const _Tp &__lhs, const _Tp1 &__rhs) const
bool | operator() (const _Tp1 &__lhs, const _Tp &__rhs) const

## Detailed Description

### template<typename _Tp>
struct std::owner_less< weak_ptr< _Tp > >

Partial specialization of owner_less for weak_ptr.

Definition at line 533 of file shared_ptr.h.

## Member Typedef Documentation

typedef _Tp std::binary_function< _Tp , _Tp , bool >::first_argument_type

inherited

`first_argument_type` is the type of the first argument

Definition at line 117 of file stl_function.h.

typedef bool std::binary_function< _Tp , _Tp , bool >::result_type

inherited

`result_type` is the return type

Definition at line 123 of file stl_function.h.

typedef _Tp std::binary_function< _Tp , _Tp , bool >::second_argument_type

inherited

`second_argument_type` is the type of the second argument

Definition at line 120 of file stl_function.h.

The documentation for this struct was generated from the following file:

- shared_ptr.h